Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80473 - Drift file for NTP support wrong.
Summary: Drift file for NTP support wrong.
Keywords:
Status: CLOSED DUPLICATE of bug 66136
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-27 00:42 UTC by bryan
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-21 18:50:36 UTC


Attachments (Terms of Use)

Description bryan 2002-12-27 00:42:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.4.1)
Gecko/20020508 Netscape6/6.2.3

Description of problem:
As a security fix for NTP, the daemon wishes to own the directory in which the
drift file is placed.  The drift file as create by dhcpcd is /etc/ntp.drift. 
NTP prefers something like /etc/ntp/drift where /etc/ntp can be owned by ntp.

This interaction of two products is unfortunate but the problem truly lies with
dhcpcd rather than ntp since dhcpcd creates the file name and provides no method
for altering the name short of editting the source for dhcpcd.  I have made this
change to the sources and ntp correctly starts for me.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Configure system to "Automatically obtain IP address settings with: dhcp
2. Configure dhcp server to offer NTP server "option ntp-servers"

    

Actual Results:  dhcpcd writes /etc/ntp.conf file with driftfile entry
/etc/ntp.drift and
ntpd fails to start.

Expected Results:  dhcpcd should write /etc/ntp.conf file with driftfile entry
/etc/ntp/drift

Additional info:

The added security for ntpd is admirable but it should be synced with dhcpcd...

Comment 1 bryan 2003-01-03 18:09:03 UTC
Sorry I didn't do the correct search so I missed this previous resolution.


*** This bug has been marked as a duplicate of 66136 ***

Comment 2 Red Hat Bugzilla 2006-02-21 18:50:36 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.